Subject: Re: [PATCH 3/3] arm64: use runtime constant to optimize handle_arch_irq access

From: Jisheng Zhang <[email-masked]>
Date: Sat, 21 Feb 2026 08:14:17 +0800

On Fri, Feb 20, 2026 at 04:47:38PM +0000, Leo Yan wrote:
> On Fri, Feb 20, 2026 at 09:34:14PM +0800, Jisheng Zhang wrote:
> 
> [...]
> 
> > > > Run 3 iterations, and measures three metrics (messaging/pipe/seccomp)
> > > > and results in seconds. Less is better.
> > > > 
> > > >   +---------------------+--------+--------+--------+--------+
> > > >   |Without change       |   run1 |   run2 |   run3 |    avg |
> > > >   +---------------------+--------+--------+--------+--------+
> > > >   |messaging (sec)      |  4.546 |  4.508 |  4.591 |  4.548 |
> > > >   |pipe (sec)           | 24.258 | 24.224 | 24.017 | 24.166 |
> > > >   |seccomp-notify (sec) | 48.393 | 48.457 | 48.232 | 48.361 |
> > > >   +---------------------+--------+--------+--------+--------+
> > > > 
> > > >   +---------------------+--------+--------+--------+--------+--------+
> > > >   |With change          |   run1 |   run2 |   run3 |    avg |   diff |
> > > >   +---------------------+--------+--------+--------+--------+--------+
> > > >   |messaging (sec)      |  4.493 |  4.523 |  4.556 |  4.524 | +0.52% |
> > > >   |pipe (sec)           | 23.159 | 23.702 | 28.649 | 25.170 | -4.15% |
> > > 
> > > If you check the result, this result variance is abnormal, it means
> > > your OS is noiser.
> > 
> > BTW: if you remove the abnormal run3 result, you'll find that the
> > benchmark is improved by ~3.5% on CA73:
> > (23.159 + 23.702) / 2 = 23.43
> > (24.258 + 24.224) / 2 = 24.24
> > (24.24 - 23.43)*100 / 23.43 = ~3.5
> 
> TBH, I don't think we should subjectively select data.  But I agree a

The precondition of this is testing the benchmark properly. And I just
tried perf bench sched in noisy OS, I didn't get the similar abnormal
variance as you got, so I think your run3 result was CA53's result.
This isn't an apple-to-apple comparison.

If possible, could you plz test after forcing CA53 offline or test on
non big.little platform. Anyway, I will test CA73 next week too.

> clean test env is important to avoid noise, and I also agree that the
> current results already show positive signals.
> 
> Thanks,
> Leo